Activates a license and returns complete license information with metadata
POST
/api/v1/activations/license
const url = 'https://api.monetizeit.example/api/v1/activations/license';const options = { method: 'POST', headers: {'Content-Type': 'application/json-patch+json'}, body: '{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example" }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monetizeit.example/api/v1/activations/license \ --header 'Content-Type: application/json-patch+json' \ --data '{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example" }'This endpoint returns comprehensive license information including:
- JWT token for validation
- Public key for token verification
- Provider information and legal notices
- Licensed product IDs
Use this endpoint when you need additional metadata beyond the JWT token.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”License activation request containing activation code, fingerprint, and optional email
object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}object
activationCode
string
fingerprint
string
email
string
requestedLeaseDuration
string format: date-span
targetSoftwareVersion
string
Example generated
{ "activationCode": "example", "fingerprint": "example", "email": "example", "requestedLeaseDuration": "example", "targetSoftwareVersion": "example"}Responses
Section titled “ Responses ”License activated successfully, returns complete license information
Media type application/json
object
licenseToken
string
tokenPublicKeyBase64
string
version
integer format: int32
legalNotice
string
copyright
string
providerUrl
string
providerEmail
string
description
string
licensedProducts
Array<string>
Example generated
{ "licenseToken": "example", "tokenPublicKeyBase64": "example", "version": 1, "legalNotice": "example", "copyright": "example", "providerUrl": "example", "providerEmail": "example", "description": "example", "licensedProducts": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Invalid request data or activation code.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Activation forbidden by policy (e.g., authentication required)
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Activation code not found or expired
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Device already activated or seat limit exceeded
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}